> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mezmo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server.

# Generate a new Key for the Enterprise

POST https://api.mezmo.com/v1/enterprise/keys

Generate a new ServiceKey for the enterprise 

Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/enterprise/create-enterprise-key

## Authentication

- `enterprise-servicekey` header (required) — When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key.

## Response

### 200

A new Service Key is generated and saved to the Key collection

- `id` (string, optional) — The ID of the key
- `key` (string, optional) — A secret key which can be used to authenticate requests to Mezmo.
- `name` (string, optional) — A user friendly name for the key
- `type` (enum, optional) — The type of the key
  - Allowed values: `ingestion`, `service`
- `created` (integer, optional) — The time the key was created as a Unix timestamp in milliseconds

## Errors

### 400 Bad Request Error

The supplied request is invalid or malformed.

- `error` (string, optional) — A human-readable description of the error
- `code` (string, optional) — A unique code for the type of error
- `status` (string, optional) — The status of the request

### 409 Conflict Error

The supplied request leads to an invalid state. The returned error will contain more helpful information.

- `code` (string, optional) — Entity used as an arbitrary classifier of the error encountered
- `error` (string, optional) — Error information surfaced to end user(s) in the response

## Examples

**Response**

```json
{
  "id": "629e3f7e62295be60488fb26",
  "key": "7b273eb8adc962f2711ad760730debb0",
  "name": "servergroup_0_ingestion",
  "type": "ingestion",
  "created": 1654538253244
}
```

**SDK Code**

```python
import requests

url = "https://api.mezmo.com/v1/enterprise/keys"

headers = {"enterprise-servicekey": "<apiKey>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mezmo.com/v1/enterprise/keys';
const options = {method: 'POST', headers: {'enterprise-servicekey': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mezmo.com/v1/enterprise/keys"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("enterprise-servicekey", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mezmo.com/v1/enterprise/keys")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["enterprise-servicekey"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.mezmo.com/v1/enterprise/keys")
  .header("enterprise-servicekey", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.mezmo.com/v1/enterprise/keys', [
  'headers' => [
    'enterprise-servicekey' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mezmo.com/v1/enterprise/keys");
var request = new RestRequest(Method.POST);
request.AddHeader("enterprise-servicekey", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["enterprise-servicekey": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/enterprise/keys")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```